# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DataMapIteratorOfDataMapOfStringReal Class Reference

`#include <TDataStd_DataMapIteratorOfDataMapOfStringReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_DataMapIteratorOfDataMapOfStringReal ()
Standard_EXPORT | TDataStd_DataMapIteratorOfDataMapOfStringReal (const TDataStd_DataMapOfStringReal &aMap)
Standard_EXPORT void | Initialize (const TDataStd_DataMapOfStringReal &aMap)
Standard_EXPORT const TCollection_ExtendedString & | Key () const
Standard_EXPORT const Standard_Real & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_DataMapIteratorOfDataMapOfStringReal::TDataStd_DataMapIteratorOfDataMapOfStringReal | ( |  | ) |

Standard_EXPORT TDataStd_DataMapIteratorOfDataMapOfStringReal::TDataStd_DataMapIteratorOfDataMapOfStringReal | ( | const TDataStd_DataMapOfStringReal & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDataStd_DataMapIteratorOfDataMapOfStringReal::Initialize | ( | const TDataStd_DataMapOfStringReal & | aMap | ) |

Standard_EXPORT const TCollection_ExtendedString& TDataStd_DataMapIteratorOfDataMapOfStringReal::Key | ( |  | ) | const

void TDataStd_DataMapIteratorOfDataMapOfStringReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_DataMapIteratorOfDataMapOfStringReal::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_DataMapIteratorOfDataMapOfStringReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Standard_Real& TDataStd_DataMapIteratorOfDataMapOfStringReal::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TDataStd_DataMapIteratorOfDataMapOfStringReal.hxx